changeset 1789:17d2316a3c3a draft

The elf2flt wrapper sometimes calles the unprefixed ld.real. Humor it for now.
author Rob Landley <rob@landley.net>
date Wed, 16 Sep 2015 17:08:11 -0500
parents 4f78f4fece38
children 8e8c05ca582b
files sources/sections/elf2flt.sh
diffstat 1 files changed, 10 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/sources/sections/elf2flt.sh	Mon Sep 14 04:01:22 2015 -0500
+++ b/sources/sections/elf2flt.sh	Wed Sep 16 17:08:11 2015 -0500
@@ -17,4 +17,14 @@
   --with-zlib-prefix="$STAGE_DIR/host" &&
 make -j $CPUS &&
 make install TARGET="$CROSS_TARGET" PREFIX="$TOOLCHAIN_PREFIX"
+
+[ $? -ne 0 ] && dienow
+
+# elf2flt's wrapper sometimes calls the unprefixed version of this. :(
+
+if [ ! -e "$STAGE_DIR/bin/ld.real" ]
+then
+  ln -s "${TOOLCHAIN_PREFIX}ld.real" "$STAGE_DIR/bin/ld.real"
+fi
+
 cleanup